javax.persistence.criteria

## Enum JoinType

- java.lang.Object
- - java.lang.Enum<JoinType>
  - - javax.persistence.criteria.JoinType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JoinType>

    public enum JoinType
    extends java.lang.Enum<JoinType>

Defines the three types of joins. Right outer joins and right outer fetch joins are not required to be supported. Applications that use `RIGHT` join types will not be portable.

Since:
  Java Persistence 2.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INNER` Inner join.
`LEFT` Left outer join.
`RIGHT` Right outer join.

### Method Summary

All Methods Static Methods Concrete Methods
`static JoinType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JoinType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INNER

    public static final JoinType INNER

Inner join.

#### LEFT

    public static final JoinType LEFT

Left outer join.

#### RIGHT

    public static final JoinType RIGHT

Right outer join.

### Method Detail

#### values

    public static JoinType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JoinType c : JoinType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JoinType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null